Name:		fermilab-conf_ssh-client
Obsoletes:	zz_fermi_ssh_config
Version:	1.0
Release:	4
Summary:	Add Fermilab ssh_config to %{_sysconfdir}/ssh/ssh_config.d/

Group:		Fermilab
License:	GPL
URL:		http://helpdesk.fnal.gov
Source0:	fermilab_ssh-client.conf

BuildRequires:	coreutils
BuildArch:	noarch

Requires:	openssh-clients > 7.8p1-3.el8
Requires(post):	policycoreutils coreutils grep

%description
The default configuration for openssh-client does not take full advantage
of the expected Fermilab openssh-server settings.

This includes X11Forwarding and GSSAPI credential forwarding.

The default behavior of openssh-client includes files from %{_sysconfdir}/ssh/ssh_config.d/*.conf

Behavior from: CS-doc-1186

%prep


%build


%install
rm -rf %{buildroot}
%{__install} -D %{SOURCE0} %{buildroot}/%{_sysconfdir}/ssh/ssh_config.d/fermilab_ssh-client.conf

%clean
rm -rf %{buildroot}

%post -p /usr/bin/bash
SELFCOPIES=${1:-0}

grep -v '#' /etc/ssh/ssh_config | grep -q 'Include /etc/ssh/ssh_config.d/\*.conf'
if [[ $? -ne 0 ]]; then
  # Make sure the include line still exists
  echo 'Include /etc/ssh/ssh_config.d/*.conf' >> /etc/ssh/ssh_config
fi



#####################################################################
#####################################################################
%files
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/ssh/ssh_config.d/fermilab_ssh-client.conf
%doc

#####################################################################
%changelog
* Mon Jan 13 2020 Pat Riehecky <riehecky@fnal.gov> 1.0-4
- Initial build for EL8

